Subject: Re: bug#3873: 23.1.50; docstring of `region-active-p' is nonsensical

From: Lennart Borgman <[email-masked]>
Date: Fri, 17 Jul 2009 20:28:13 +0200

On Fri, Jul 17, 2009 at 8:05 PM, MON KEY<[email-masked]> wrote:
> "Most commands that act on the region if it is active and
> Transient Mark mode is enabled, and on the text near point
> otherwise, should use `use-region-p' instead.  That function
> checks the value of `use-empty-active-region' as well."

To me it would be more clear with something like:

"Most commands that act on the visibly selected region text, and on
the text near point otherwise, should use `use-region-p' instead.
That function checks the value of `use-empty-active-region' as well.

Note: In Emacs the region is visible if it is active and Transient
Mark mode is enabled. To make this work as in most other editing
environtments today you can use `cua-mode'."